| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | Properties | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
IG.Forms.FadeMessage Class Reference

Summary description for FadeMessage. More...

Inheritance diagram for IG.Forms.FadeMessage:
[legend]
Collaboration diagram for IG.Forms.FadeMessage:
[legend]

## Public Member Functions
| FadeMessage ()
| FadeMessage (string msgtext)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;. More...
| FadeMessage (string msgtext, int showtime)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms. More...
| FadeMessage (string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion. More...
| FadeMessage (string title, string msgtext)
| Shows the form in a new thread, with a title and with message text equal to msgtext. More...
| FadeMessage (string title, string msgtext, int showtime)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms. More...
| FadeMessage (string title, string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion. More...
void | HideDialog ()
void | CloseDialog ()
void | ShowThread ()
| Shows a fading message in a new thread. More...
void | ShowThread (string text)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;. More...
void | ShowThread (string msgtext, int showtime)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms. More...
void | ShowThread (string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion. More...
void | ShowThread (string title, string text)
| Shows the form in a new thread, with a title and with message text equal to msgtext. More...
void | ShowThread (string title, string msgtext, int showtime)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms. More...
void | ShowThread (string title, string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion. More...

## Public Attributes
string | MsgTitle = null
Color | BackGroundColor = Color.LightYellow

## Properties
int | ShowTime`[get, set]`
double | FadingTimePortion`[get, set]`

## Private Member Functions
void | baseFadeMessage ()
| Required designer variable. More...
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...
void | FadeMessage_MouseMove (object sender, MouseEventArgs e)
void | FadeMessage_MouseDown (object sender, MouseEventArgs e)
void | ManipulationThreadFunc ()
void | FormThreadFunc ()
void | timer1_Tick (object sender, EventArgs e)
void | SetFadeLevel (double fadefactor)
void | FadeMessage_Load (object sender, System.EventArgs e)
void | CancelBtn_Click (object sender, EventArgs e)
void | FadeMessage_MouseClick (object sender, MouseEventArgs e)

## Private Attributes
System.Windows.Forms.Button | CancelBtn
Panel | TitlePanel
Panel | MessagePanel
Panel | ControlPanel
Label | TitleLbl
Label | MessageLbl
System.Windows.Forms.Timer | timer1
IContainer | components
Label | StatusLbl
int | m_PrevX
int | m_PrevY
int | vShowTime = defaultShowtime
double | vFadingTimePortion = defaultFadingTimePortion
string | MsgText = null
Thread | formthread = null
Thread | manipulationthread = null
Color | FadeColor = Color.Blue
int | mintickinterval = 40
int | maxticks = 50
int | numticks = 0
int | totalticks = 20
int | firsttick = 1000
int | tickinterval = 100
double | fadingfactor = 0

## Static Private Attributes
static int | defaultShowtime = 3000
static double | defaultFadingTimePortion = 0.3

## Detailed Description

Summary description for FadeMessage.

## Constructor & Destructor Documentation

IG.Forms.FadeMessage.FadeMessage | ( |  | ) |
| inline

IG.Forms.FadeMessage.FadeMessage | ( | string | msgtext | ) |
| inline

Shows a fading message in a new thread, with message text equal to mshtext and without a title;.

IG.Forms.FadeMessage.FadeMessage | ( | string | msgtext,
|  | int | showtime
| ) |  |
| inline

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms.

IG.Forms.FadeMessage.FadeMessage | ( | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  |
| inline

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion.

IG.Forms.FadeMessage.FadeMessage | ( | string | title,
|  | string | msgtext
| ) |  |
| inline

Shows the form in a new thread, with a title and with message text equal to msgtext.

IG.Forms.FadeMessage.FadeMessage | ( | string | title,
|  | string | msgtext,
|  | int | showtime
| ) |  |
| inline

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms.

IG.Forms.FadeMessage.FadeMessage | ( | string | title,
|  | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  |
| inline

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion.

## Member Function Documentation

void IG.Forms.FadeMessage.baseFadeMessage | ( |  | ) |
| inline private

Required designer variable.

void IG.Forms.FadeMessage.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG.Forms.FadeMessage.FadeMessage_MouseMove | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline private

void IG.Forms.FadeMessage.FadeMessage_MouseDown | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline private

void IG.Forms.FadeMessage.ManipulationThreadFunc | ( |  | ) |
| inline private

void IG.Forms.FadeMessage.FormThreadFunc | ( |  | ) |
| inline private

References IG.Forms.IGForm.SetBackColorRec().

void IG.Forms.FadeMessage.timer1_Tick | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.FadeMessage.SetFadeLevel | ( | double | fadefactor | ) |
| inline private

References IG.Forms.IGForm.SetBackColorRec().

void IG.Forms.FadeMessage.FadeMessage_Load | ( | object | sender,
|  | System.EventArgs | e
| ) |  |
| inline private

void IG.Forms.FadeMessage.CancelBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.FadeMessage.HideDialog | ( |  | ) |
| inline

void IG.Forms.FadeMessage.CloseDialog | ( |  | ) |
| inline

void IG.Forms.FadeMessage.ShowThread | ( |  | ) |
| inline

Shows a fading message in a new thread.

this.ShowDialog();

Referenced by IG.Forms.IGForm.basReportError().

void IG.Forms.FadeMessage.ShowThread | ( | string | text | ) |
| inline

Shows a fading message in a new thread, with message text equal to mshtext and without a title;.

void IG.Forms.FadeMessage.ShowThread | ( | string | msgtext,
|  | int | showtime
| ) |  |
| inline

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms.

void IG.Forms.FadeMessage.ShowThread | ( | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  |
| inline

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion.

void IG.Forms.FadeMessage.ShowThread | ( | string | title,
|  | string | text
| ) |  |
| inline

Shows the form in a new thread, with a title and with message text equal to msgtext.

void IG.Forms.FadeMessage.ShowThread | ( | string | title,
|  | string | msgtext,
|  | int | showtime
| ) |  |
| inline

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms.

void IG.Forms.FadeMessage.ShowThread | ( | string | title,
|  | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  |
| inline

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion.

void IG.Forms.FadeMessage.FadeMessage_MouseClick | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline private

## Member Data Documentation

System.Windows.Forms.Button IG.Forms.FadeMessage.CancelBtn
| private

Panel IG.Forms.FadeMessage.TitlePanel
| private

Panel IG.Forms.FadeMessage.MessagePanel
| private

Panel IG.Forms.FadeMessage.ControlPanel
| private

Label IG.Forms.FadeMessage.TitleLbl
| private

Label IG.Forms.FadeMessage.MessageLbl
| private

System.Windows.Forms.Timer IG.Forms.FadeMessage.timer1
| private

IContainer IG.Forms.FadeMessage.components
| private

Label IG.Forms.FadeMessage.StatusLbl
| private

int IG.Forms.FadeMessage.m_PrevX
| private

int IG.Forms.FadeMessage.m_PrevY
| private

int IG.Forms.FadeMessage.defaultShowtime = 3000
| static private

double IG.Forms.FadeMessage.defaultFadingTimePortion = 0.3
| static private

int IG.Forms.FadeMessage.vShowTime = defaultShowtime
| private

double IG.Forms.FadeMessage.vFadingTimePortion = defaultFadingTimePortion
| private

string IG.Forms.FadeMessage.MsgTitle = null

Referenced by IG.Forms.IGForm.basReportError().

string IG.Forms.FadeMessage.MsgText = null
| private

Referenced by IG.Forms.IGForm.basReportError().

Thread IG.Forms.FadeMessage.formthread = null
| private

Thread IG.Forms.FadeMessage.manipulationthread = null
| private

Color IG.Forms.FadeMessage.BackGroundColor = Color.LightYellow

Referenced by IG.Forms.IGForm.basReportError().

Color IG.Forms.FadeMessage.FadeColor = Color.Blue
| private

int IG.Forms.FadeMessage.mintickinterval = 40
| private

int IG.Forms.FadeMessage.maxticks = 50
| private

int IG.Forms.FadeMessage.numticks = 0
| private

int IG.Forms.FadeMessage.totalticks = 20
| private

int IG.Forms.FadeMessage.firsttick = 1000
| private

int IG.Forms.FadeMessage.tickinterval = 100
| private

double IG.Forms.FadeMessage.fadingfactor = 0
| private

## Property Documentation

int IG.Forms.FadeMessage.ShowTime
| get set

Referenced by IG.Forms.IGForm.basReportError().

double IG.Forms.FadeMessage.FadingTimePortion
| get set

Referenced by IG.Forms.IGForm.basReportError().

The documentation for this class was generated from the following file:

- igforms/00copy/message_fade.cs